import 'package:hl_lieferservice/model/tour.dart';

abstract class TourEvent {}

class LoadTour extends TourEvent {
  String teamId;

  LoadTour({required this.teamId});
}

class UpdateTour extends TourEvent {
  Tour tour;

  UpdateTour({required this.tour});
}

class AssignCarEvent extends TourEvent {
  String deliveryId;
  String carId;

  AssignCarEvent({required this.deliveryId, required this.carId});
}

class IncrementArticleScanAmount extends TourEvent {
  String internalArticleId;
  String deliveryId;

  IncrementArticleScanAmount({required this.internalArticleId, required this.deliveryId});
}

class ScanArticleEvent extends TourEvent {
  ScanArticleEvent({required this.articleNumber, required this.carId, required this.deliveryId});

  String articleNumber;
  String deliveryId;
  String carId;
}

class CancelDeliveryEvent extends TourEvent {
  String deliveryId;

  CancelDeliveryEvent({required this.deliveryId});
}

class HoldDeliveryEvent extends TourEvent {
  String deliveryId;

  HoldDeliveryEvent({required this.deliveryId});
}

class ReactivateDeliveryEvent extends TourEvent {
  String deliveryId;

  ReactivateDeliveryEvent({required this.deliveryId});
}